petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLocalToLocalEndDefaultShell

Uses the LocalToLocal VecScatter context set by the user to end a local to local scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToLocalEndDefaultShell(DM dm,Vec g,InsertMode mode,Vec l)

### Input Arguments

| dm | - shell DM Many br
| g | - the original local vector Many br
| mode | - InsertMode Many br

### Output Parameter

l -the local vector with correct ghost values Many br

Many br

### See Also

DMLocalToLocalBeginDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages